package llh.svs.allinone

import gaf3.core.cloud.GafCloudConfiguration
import gaf3.core.gateway.GatewayController
import gaf3.core.jpa.GafJpaConfiguration
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.autoconfigure.domain.EntityScan
import org.springframework.boot.runApplication
import org.springframework.context.annotation.Bean
import org.springframework.context.annotation.ComponentScan
import org.springframework.context.annotation.Configuration
import org.springframework.context.annotation.Import
import org.springframework.data.jpa.repository.config.EnableJpaRepositories
import org.springframework.http.HttpStatus
import org.springframework.http.server.reactive.ServerHttpResponse
import org.springframework.stereotype.Controller
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.ResponseBody
import reactor.core.publisher.Mono

@SpringBootApplication
@Configuration
@Import(GafCloudConfiguration::class, GafJpaConfiguration::class)
@EntityScan(basePackages = ["gaf3.core.services", "llh.svs.core.services"])
@EnableJpaRepositories(basePackages = ["gaf3.core.services", "llh.svs.core.services"])
@ComponentScan(
    basePackages = ["gaf3.core.services", "llh.svs.core.services"],
    basePackageClasses = [AllInOneApplication::class]
)
@Controller
class AllInOneApplication {

    @Bean
    fun gatewayController(): GatewayController {
        return GatewayController()
    }

    @Bean
    fun statusControllerAdvice(): StatusControllerAdvice {
        return StatusControllerAdvice()
    }
}

fun main(args: Array<String>) {
    runApplication<AllInOneApplication>(*args)
}
