package llh.svs.allinone

import org.slf4j.Logger
import org.slf4j.LoggerFactory
import org.springframework.context.annotation.Bean
import org.springframework.core.annotation.Order
import org.springframework.http.server.reactive.ServerHttpRequest
import org.springframework.stereotype.Component
import org.springframework.web.bind.annotation.ExceptionHandler
import org.springframework.web.bind.annotation.ResponseBody
import org.springframework.web.bind.annotation.RestControllerAdvice
import org.springframework.web.server.ResponseStatusException


@RestControllerAdvice
class StatusControllerAdvice {
    val log: Logger = LoggerFactory.getLogger(StatusControllerAdvice::class.java)

    @ExceptionHandler(ResponseStatusException::class)
    @ResponseBody
    @Order(-1)
    fun handleError(ex: ResponseStatusException, req: ServerHttpRequest) {
        log.warn("ResponseStatusException:{}-{}", ex.status, ex.reason)
        log.debug("handleError", ex)
        throw ex
    }
}
