package llh.svs.allinone.bean

import gaf3.core.gateway.filter.factory.*
import gaf3.core.gateway.handler.predicate.JwtRoutePredicateFactory
import gaf3.core.services.log.config.GafLogConfigure
import gaf3.core.services.log.service.LogService
import gaf3.core.services.verify.service.VerifyCodeService
import org.springframework.context.annotation.Bean
import org.springframework.context.annotation.Configuration

@Configuration
class FactoryBean {
    @Bean
    fun forwardGatewayFilterFactory(): ForwardGatewayFilterFactory {
        return ForwardGatewayFilterFactory()
    }

    @Bean
    fun verifyCodeGatewayFilterFactory(service: VerifyCodeService): VerifyCodeGatewayFilterFactory {
        return VerifyCodeGatewayFilterFactory(service)
    }

    @Bean
    fun logGatewayFilterFactory(service: LogService, config: GafLogConfigure): LogGatewayFilterFactory {
        return LogGatewayFilterFactory(service, config)
    }

    @Bean
    fun peekResGatewayFilterFactory(): PeekResponseBodyGatewayFilterFactory {
        return PeekResponseBodyGatewayFilterFactory()
    }

    @Bean
    fun peekReqGatewayFilterFactory(): PeekRequestBodyGatewayFilterFactory {
        return PeekRequestBodyGatewayFilterFactory()
    }

    @Bean
    fun jwtRoutePredicateFactory(): JwtRoutePredicateFactory {
        return JwtRoutePredicateFactory()
    }

    @Bean
    fun setRequestParameterGatewayFilterFactory(): SetRequestParameterGatewayFilterFactory {
        return SetRequestParameterGatewayFilterFactory()
    }
}
