
group = "llh.svs"
version = rootProject.version


plugins {
    id("java")
    id("io.spring.dependency-management")
    id("org.springframework.boot")
    kotlin("jvm")
    kotlin("plugin.spring")
    kotlin("plugin.jpa")
}

repositories {
    // 阿里云镜像
    maven { url = uri("https://maven.aliyun.com/repository/public") }
    maven { url = uri("https://maven.aliyun.com/repository/gradle-plugin") }
    maven { url = uri("https://maven.aliyun.com/repository/spring") }
    maven { url = uri("https://maven.aliyun.com/repository/spring-plugin") }
    // gradle
    maven { url = uri("https://plugins.gradle.org/m2/") }
}

dependencies {
    api(platform(project(":platform")))
    implementation(kotlin("reflect"))
    implementation(kotlin("stdlib-jdk8"))
    implementation("commons-io:commons-io")
    implementation("org.apache.commons:commons-dbcp2")
    implementation("org.springframework.boot:spring-boot-starter-jdbc")
    runtimeOnly("mysql:mysql-connector-java")
    runtimeOnly(fileTree("$rootDir/libs") { include("*.jar") })
}

tasks.register<Sync>("script") {
    from("script")
    into("$buildDir/script")

    val disableAppVersion: String? by project
    if (disableAppVersion == "true") {
        expand("name" to project.name, "version" to version)
    } else {
        expand("name" to "${project.name}-$version", "version" to version)
    }
}


tasks.register<Copy>("dist") {
    dependsOn(tasks.named("bootJar"), tasks.named("script"))
    into("$rootDir/dist/${project.name}")
    from(tasks["bootJar"].outputs)
    from("$buildDir/script")
}
