drop table IF EXISTS GAF_BIND_ITEM $$
drop table IF EXISTS GAF_CODE_ITEM $$
drop table IF EXISTS GAF_DEPT_ITEM $$
drop table IF EXISTS GAF_LOG $$
drop table IF EXISTS GAF_MENU_ITEM $$
drop table IF EXISTS GAF_ROLE_ITEM $$
drop table IF EXISTS GAF_USER_ACCT $$
drop table IF EXISTS GAF_USER_INFO $$

create table GAF_BIND_ITEM
(
    ID         varchar(48) not null
        primary key,
    BIND_TYPE  varchar(48) not null,
    SOURCE     varchar(48),
    TARGET     varchar(48),
    PARAM      varchar(255),
    CREATED_AT timestamp DEFAULT CURRENT_TIMESTAMP,
    REMARK     varchar(255)
) $$

create table GAF_CODE_ITEM
(
    ID        varchar(48) not null
        primary key,
    CODE      varchar(48),
    NAME      varchar(48),
    ITEM_TYPE varchar(48),
    STATUS    varchar(48),
    ALIAS     varchar(48),
    PRESET    int,
    REMARK    varchar(255)
) $$

create table GAF_DEPT_ITEM
(
    ID         varchar(48) not null
        primary key,
    PID        varchar(48),
    CODE       varchar(48),
    NAME       varchar(48),
    CREATED_AT timestamp DEFAULT CURRENT_TIMESTAMP,
    UPDATED_AT timestamp DEFAULT CURRENT_TIMESTAMP,
    REMARK     varchar(255)
) $$

create table GAF_LOG
(
    ID         varchar(48) not null
        primary key,
    LOG_TYPE   varchar(48),
    LEVEL      varchar(48),
    MODULE     varchar(48),
    EVENT      varchar(48),
    ACTION     varchar(48),
    PARAM      varchar(255),
    TARGET     varchar(48),
    RESULT     varchar(48),
    DETAIL     varchar(500),
    EVENT_TIME varchar(48),
    TIMESTAMP  bigint,
    EXTRA      varchar(500),
    USER_NAME  varchar(48),
    USER_ACCT  varchar(48),
    USER_IP    varchar(48),
    CREATED_AT timestamp DEFAULT CURRENT_TIMESTAMP,
    UPDATED_AT timestamp DEFAULT CURRENT_TIMESTAMP
) $$

create table GAF_MENU_ITEM
(
    ID      varchar(48) not null
        primary key,
    PID     varchar(48),
    TITLE   varchar(48),
    ICON    varchar(48),
    MODE    varchar(48),
    MODULE  varchar(48),
    PATH    varchar(255),
    URL     varchar(255),
    TARGET  varchar(48),
    VISIBLE boolean,
    RANKING bigint,
    PRESET  int,
    REMARK  varchar(255)
) $$

create table GAF_ROLE_ITEM
(
    ID        varchar(48) not null
        primary key,
    CODE      varchar(48),
    NAME      varchar(48),
    ITEM_TYPE varchar(48),
    PRESET    int,
    RANKING   bigint,
    REMARK    varchar(255)
) $$

create table GAF_USER_ACCT
(
    USER_ID    varchar(48) not null
        primary key,
    ACCOUNT    varchar(48),
    SECRET     varchar(128),
    STATUS     varchar(48),
    EXPIRED    bigint,
    CREATED_AT timestamp DEFAULT CURRENT_TIMESTAMP,
    UPDATED_AT timestamp DEFAULT CURRENT_TIMESTAMP,
    REMARK     varchar(255)
) $$

create table GAF_USER_INFO
(
    USER_ID    varchar(48) not null
        primary key,
    NAME       varchar(48),
    TITLE      varchar(48),
    GENDER     varchar(48),
    MOBILE     varchar(48),
    EMAIL      varchar(100),
    STATUS     varchar(48),
    ORIGIN     varchar(48),
    CREATED_AT timestamp DEFAULT CURRENT_TIMESTAMP,
    UPDATED_AT timestamp DEFAULT CURRENT_TIMESTAMP,
    REMARK     varchar(255)
) $$
