
/* TRIGGER STRUCTURE FOR TABLE `GAF_USER_INFO` */
DROP TRIGGER IF EXISTS `GAF_DELETE_USER` $$

CREATE TRIGGER `GAF_DELETE_USER` AFTER DELETE ON `GAF_USER_INFO` FOR EACH ROW BEGIN
	/*删除一对多关系*/
	/*1.删除帐号关联*/
	DELETE FROM GAF_USER_ACCT
	WHERE USER_ID = OLD.USER_ID;
	/*删除多对多关系*/
	DELETE FROM  GAF_BIND_ITEM
	WHERE SOURCE = OLD.USER_ID
		AND SUBSTRING_INDEX(BIND_TYPE,'-',1) = 'user';
	DELETE FROM  GAF_BIND_ITEM
	WHERE TARGET = OLD.USER_ID
		AND SUBSTRING_INDEX(BIND_TYPE,'-',-1) = 'user';
    END $$

/* TRIGGER STRUCTURE FOR TABLE `GAF_DEPT_ITEM` */
DROP TRIGGER IF EXISTS `GAF_DELETE_DEPT` $$

CREATE TRIGGER `GAF_DELETE_DEPT` AFTER DELETE ON `GAF_DEPT_ITEM` FOR EACH ROW BEGIN
	/*删除多对多关系*/
	DELETE FROM  GAF_BIND_ITEM
	WHERE SOURCE = OLD.ID
		AND SUBSTRING_INDEX(BIND_TYPE,'-',1) = 'dept';
	DELETE FROM  GAF_BIND_ITEM
	WHERE TARGET = OLD.ID
		AND SUBSTRING_INDEX(BIND_TYPE,'-',-1) = 'dept';
    END $$

/* TRIGGER STRUCTURE FOR TABLE `GAF_ROLE_ITEM` */
DROP TRIGGER IF EXISTS `GAF_DELETE_ROLE` $$

CREATE TRIGGER `GAF_DELETE_ROLE` AFTER DELETE ON `GAF_ROLE_ITEM` FOR EACH ROW BEGIN
	/*删除多对多关系*/
	DELETE FROM  GAF_BIND_ITEM
	WHERE SOURCE = OLD.ID
		AND SUBSTRING_INDEX(BIND_TYPE,'-',1) = 'role';
	DELETE FROM  GAF_BIND_ITEM
	WHERE TARGET = OLD.ID
		AND SUBSTRING_INDEX(BIND_TYPE,'-',-1) = 'role';
    END $$
