package llh.svs.core.services.schedule

import llh.svs.core.services.schedule.dao.SvsScheduleTaskDAO
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.context.annotation.Bean
import org.springframework.context.annotation.Configuration
import org.springframework.scheduling.annotation.EnableScheduling
import org.springframework.scheduling.concurrent.ThreadPoolTaskScheduler

@Configuration
@EnableScheduling
class ScheduleConfigure {

    @Autowired
    lateinit var dao: SvsScheduleTaskDAO

    @Bean
    fun threadPoolTaskScheduler(): ThreadPoolTaskScheduler? {
        val threadPoolTaskScheduler = ThreadPoolTaskScheduler()
        val taskCount = dao.count().toInt()
        threadPoolTaskScheduler.poolSize = if (taskCount > 1) taskCount else 1
        threadPoolTaskScheduler.isRemoveOnCancelPolicy = true
        return threadPoolTaskScheduler
    }
}
