package llh.svs.core.services.sys

import llh.svs.core.services.sys.domain.SystemResInfo
import llh.svs.core.services.sys.service.ServerResService
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

/**
 * 服务器硬件资源信息
 */
@RestController
@RequestMapping(path = ["/svs/system/res"])
class SystemResController {

    @Autowired
    lateinit var serverResService: ServerResService

    /**
     * 获取服务器硬件占用信息
     */
    @GetMapping(path = ["/info"])
    fun getSystemResInfo(): SystemResInfo {
        return serverResService.getSystemResInfo()
    }

}
