package llh.svs.core.services.sys.service

import llh.svs.core.services.sys.domain.SystemResInfo
import llh.svs.core.util.SysHWInfoUtil
import org.springframework.stereotype.Service

/**
 * 系统硬件资源信息获取服务
 */
@Service
class ServerResService {

    /**
     * 采集服务器CPU、磁盘、内存占用情况
     */
    fun getSystemResInfo(): SystemResInfo {
        return SystemResInfo().apply {
            this.cpuInfo = SysHWInfoUtil.getCpuInfo()
            this.diskInfo = SysHWInfoUtil.getDiskInfo()
            this.memInfo = SysHWInfoUtil.getMemInfo()
        }
    }
}
