package llh.svs.core.services.task.entity

import com.fasterxml.jackson.annotation.JsonIgnore
import gaf3.core.jpa.GafTimestamp
import java.time.LocalDateTime
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.Id
import javax.persistence.Table

@Entity
@Table(name = "SVS_TASK_LOG")
class SvsTaskLog : GafTimestamp() {

    @Id
    @Column(name = "TASK_ID", length = 48)
    var taskId: String? = null

    /**
     * 任务类型: 由TaskStatus定义
     */
    @Column(name = "TASK_TYPE", length = 48)
    var taskType: String? = null

    /**
     * 数据类型
     */
    @Column(name = "DATA_TYPE", length = 48)
    var dataType: String? = null

    /**
     * 任务状态： pending - 准备中, running - 执行中, completed - 已完成, error  - 发生错误
     */
    @Column(name = "STATUS", length = 48)
    var status: String? = null

    /**
     * 任务进度： 0-100
     */
    @Column(name = "PROGRESS")
    var progress: Int? = null

    /**
     * 任务结果汇总
     */
    @Column(name = "SUMMARY")
    var summary: String? = null

    /**
     * 任务开始时间
     */
    @Column(name = "START_TIME")
    var startTime: LocalDateTime? = null

    /**
     * 任务结束时间
     */
    @Column(name = "END_TIME")
    var endTime: LocalDateTime? = null

    /**
     * 导入/导出数据文件路径
     */
    @JsonIgnore
    @Column(name = "FILE_PATH", length = 500)
    var filePath: String? = null

    /**
     * 导入/导出数据文件类型（扩展名）
     */
    @JsonIgnore
    @Column(name = "FILE_TYPE", length = 48)
    var fileType: String? = null

    /**
     * 查询参数，json格式
     */
    @Column(name = "EXTRA")
    var extra: String? = null

    @Column(name = "REMARK")
    var remark: String? = null
}
