/*
 * This file was generated by the Gradle 'init' task.
 *
 * This is a general purpose Gradle build.
 * Learn how to create Gradle builds at https://guides.gradle.org/creating-new-gradle-builds
 */
group = "llh.svs"
version = rootProject.version

plugins {
    id("java-library")
    id("maven-publish")
    id("io.spring.dependency-management")
    kotlin("jvm")
    kotlin("plugin.spring")
    kotlin("plugin.jpa")
}

dependencies {
    compileOnly(platform(org.springframework.boot.gradle.plugin.SpringBootPlugin.BOM_COORDINATES))
    compileOnly(platform(project(":platform")))
    compileOnly("org.bouncycastle:bcprov-jdk15on")
    compileOnly(fileTree("$rootDir/libs") { include("*.jar") })
    compileOnly(kotlin("reflect"))
    compileOnly(kotlin("stdlib-jdk8"))
    compileOnly("cc-lotus.gaf3:gaf-core-shared:${property("gafVersion")}")
    compileOnly("com.github.oshi:oshi-core:6.1.4")
    compileOnly("com.alibaba:fastjson:${property("fastjsonVersion")}")
    compileOnly("com.fasterxml.jackson.module:jackson-module-kotlin")
    compileOnly("org.springframework.cloud:spring-cloud-starter-openfeign")
    compileOnly("org.springframework.boot:spring-boot-starter-webflux")
    compileOnly("org.hibernate:hibernate-core")
}
dependencyManagement {
    imports {
        // mavenBom(org.springframework.boot.gradle.plugin.SpringBootPlugin.BOM_COORDINATES)
        mavenBom("org.springframework.cloud:spring-cloud-dependencies:${property("springCloudVersion")}")
    }
}

tasks.named<Jar>("jar") {
    archiveBaseName.set("svs-core-${project.name}")
}

tasks.register<Jar>(name = "libJar") {
    archiveBaseName.set("svs-core-${project.name}-lib")
    from(sourceSets["main"].output)
}
tasks.build { dependsOn(tasks.named("libJar")) }

configurations {
    create("lib")
}

artifacts {
    add("lib", tasks["libJar"])
}


publishing {
    publications {
        create<MavenPublication>("maven") {
            artifactId = "xms-core-shared"
            from(components["java"])
        }
    }
}
