package llh.svs.core.util

import org.springframework.core.io.FileSystemResource
import org.springframework.core.io.Resource
import org.springframework.http.HttpHeaders
import org.springframework.http.ResponseEntity
import org.springframework.http.codec.multipart.FilePart
import org.springframework.util.Assert
import java.io.File

/**
 * 上传下载文件通用处理
 */
class FileDealTool {

    companion object {

        fun dealMultiFile(file: FilePart): File {
            val filename = file.filename()
            val separatorIndex = filename.lastIndexOf('.')
            Assert.isTrue(separatorIndex != -1, "文件名不合法")
            val tempFile = File.createTempFile("tempbuckup", filename.substring(separatorIndex))
            tempFile.deleteOnExit()
            file.transferTo(tempFile)
            return tempFile
        }

        fun getDownFileResponseEntity(file: File, name: String = "backup"): ResponseEntity<Resource> {
            val httpHeaders = HttpHeaders()
            httpHeaders.add(HttpHeaders.CACHE_CONTROL, "no-cache no-store must-revalidate")
            httpHeaders.add(HttpHeaders.PRAGMA, "no-cache")
            httpHeaders.add(HttpHeaders.EXPIRES, "0")
            val filename = String(name.toByteArray(charset("GBK")), charset("ISO_8859_1"))
            httpHeaders.add(HttpHeaders.CONTENT_DISPOSITION, "attachment; filename=\"${filename}.${file.extension}\"")
            return ResponseEntity.ok()
                .contentLength(file.length())
                .headers(httpHeaders)
                .body(FileSystemResource(file))
        }
    }
}
