package llh.svs.core.util

import gaf3.core.exception.BusinessError
import org.slf4j.LoggerFactory
import java.io.BufferedReader
import java.io.InputStreamReader
import java.lang.StringBuilder

class LinuxCmdExecutor {
    companion object {
        fun execute(cmd: String): String {
            runCatching {
                var line: String?
                val process = Runtime.getRuntime().exec(arrayOf("/bin/sh", "-c", cmd))
                log.debug("执行的命令为：$cmd")
                val waitFor = process.waitFor()
                if (waitFor != 0) {
                    throw BusinessError(BusinessError.ERR_BUSINESS, "bash命令执行返回异常, error=${waitFor}")
                }

                val reader = BufferedReader(InputStreamReader(process.inputStream))
                val result = StringBuilder()
                do {
                    line = reader.readLine()
                    if (line != null) {
                        result.append(line + "\n")
                    }
                } while (line != null)
                return result.toString()
            }.getOrElse {
                log.error("执行指定bash命令出现异常，原因：${it.message}")
                throw it
            }
        }

        private val log = LoggerFactory.getLogger(LinuxCmdExecutor::class.java)
    }
}
